package com.ruoyi.bst.vip.service;

import java.util.List;

import com.ruoyi.bst.vip.domain.Vip;
import com.ruoyi.bst.vip.domain.VipQuery;
import com.ruoyi.bst.vip.domain.VipVO;

/**
 * 卡券Service接口
 *
 * @author ruoyi
 * @date 2025-05-23
 */
public interface VipService
{
    /**
     * 查询卡券
     *
     * @param id 卡券主键
     * @return 卡券
     */
    public VipVO selectVipById(Long id, boolean scope);

    default VipVO selectVipById(Long id) {
        return selectVipById(id, false);
    }

    /**
     * 查询卡券列表
     *
     * @param vip 卡券
     * @return 卡券集合
     */
    public List<VipVO> selectVipList(VipQuery vip);

    /**
     * 新增卡券
     *
     * @param vip 卡券
     * @return 结果
     */
    public int insertVip(Vip vip);

    /**
     * 修改卡券
     *
     * @param vip 卡券
     * @return 结果
     */
    public int updateVip(Vip vip);

    /**
     * 逻辑删除卡券
     *
     * @param ids 需要删除的卡券主键集合
     * @return 结果
     */
    public int logicDel(List<Long> ids);
}
